package dk.apaq.crud.core;

import dk.apaq.crud.Crud;
import dk.apaq.crud.HasId;
import dk.apaq.filter.Filter;
import dk.apaq.filter.limit.Limit;
import dk.apaq.filter.sort.Sorter;
import java.util.List;

/**
 *
 */
public abstract class BaseFilterableCrud<IDT, BT> extends BaseCrud<IDT, BT> implements Crud.Filterable<IDT, BT> {

    public List<IDT> listIds() {
        return listIds(null, null, null);
    }

    public List<IDT> listIds(Limit limit) {
        return listIds(null, null, limit);
    }

    public List<IDT> listIds(Filter filter, Sorter sorter) {
        return listIds(filter, sorter, null);
    }

}
